/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;

  color: #103445;
}

/* Hero */
.hero {
  position: relative;
  width: 100%;
  height: 100dvh;
  min-height: 600px;
  overflow: hidden;
}

.hero-bg {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slogan {
  position: absolute;
  top: 12%;
  left: 22%;
  transform: translate(-50%, -50%);
}

.slogan img {
  max-width: 40vw;
  height: auto;
}

.hero-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -60%);
  text-align: center;
  color: white;
}

.hero h1 {
  font-size: 4rem;
  font-weight: 500;
  margin-bottom: 0.6rem;
}

.hero p {
  margin: 0 auto 1.5rem;
  font-size: 1.3rem;
  font-weight: 300;
  min-width: 90vw;
  padding-bottom: 1rem;
}

.services {
  display: flex;
  flex-direction: column;
  align-items: center;
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: center;
  color: white;
  font-weight: 500;
}

.services li {
  margin: 0.5rem 0;
  font-size: 1.5rem;
}

.services li::after {
  content: "";
  display: block;
  width: 70%;
  height: 1px;
  background: white;
  margin: 0.5rem auto;
}

.services .divider {
  display: none;
}

/* Sections */
.gate {
  display: flex;
  flex-direction: column;
}

.logo {
  width: 40vw;
  align-self: center;
}

.gate-container {
  margin: 2rem;
  display: flex;
  flex-direction: column;
  align-items: start;
}

.gate-text {
  width: 80%;
}

.title-flag {
  display: flex;
  justify-content: space-between;
  align-items: end;
}

.line-break {
  display: inline;
}

.title {
  margin-top: 1rem;
  text-transform: uppercase;
  font-weight: 600;
}

.flags {
  width: 10%;
  height: auto;
}

.gate-img img {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
}

.description {
  margin-top: 1rem;
  font-size: 0.9rem;
  font-weight: 500;
}

.contact {
  margin-top: 3rem;
  font-size: 0.7rem;
}

.contact-title {
  font-size: 0.8rem;
}

.icon {
  width: 1rem;
  height: auto;
  vertical-align: middle;
}

/* Footer */
.footer {
  background-color: #103445;
  color: white;
  padding: 2rem;
  text-align: center;
}

.footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.footer-logo {
  width: 22%;
  height: auto;
}

.footer-text {
  font-size: 0.8rem;
  font-weight: 300;
  opacity: 0.8;
}

/* Extra small */
@media (max-width: 400px) {
  .hero h1 {
    font-size: 2rem;
  }

  .hero p {
    font-size: 1rem;
  }

  .hero .services h4 {
    min-width: 120px;
    font-size: 0.8rem;
  }
}

/* Tablet */
@media (min-width: 768px) {
  .hero-content {
    top: 45%;
  }

  .hero h1 {
    font-size: 4rem;
  }

  .slogan img {
    max-width: 300px;
    width: 100%;
  }

  .hero p {
    font-size: 1.4rem;
  }

  .services {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 2rem;
  }

  .hero .services li {
    font-size: 1.3rem;
  }

  .services .divider {
    display: inline;
  }

  .services .divider {
    height: 3rem;
    border-right: 2px solid white;
  }

  .services li::after {
    content: none;
  }

  .gate {
    flex-direction: row;
  }

  .gate.reverse {
    flex-direction: row-reverse;
  }

  .gate-container {
    margin: 2rem;
    flex-direction: column;
    align-items: start;
  }

  .logo {
    width: 40%;
    margin-bottom: 1rem;
    margin-left: -12px;
    align-self: normal;
  }

  .gate-text {
    width: 100%;
    flex-direction: column;
  }

  .gate-text h2 {
    line-height: 1;
  }

  .line-break {
    display: block;
  }

  .title {
    font-size: 2rem;
  }

  .flags {
    width: 15%;
  }

  .gate-img {
    flex: 1;
    min-width: 50%;
  }

  .gate-img img {
    width: 100%;
    height: 100%;
  }

  .description {
    font-size: 1rem;
  }

  .contact {
    margin-top: 4rem;
    font-size: 0.8rem;
  }

  .contact-title {
    font-size: 0.9rem;
  }

  .footer-container {
    flex-direction: row;
    justify-content: space-between;
  }

  .footer-text {
    font-size: 1rem;
  }

  .footer-logo {
    width: 15%;
  }
}

/* Desktop */
@media (min-width: 1024px) {
  .hero h1 {
    font-size: 3.5rem;
  }

  .hero p {
    font-size: 1.5em;
    min-width: 70vw;
  }

  .hero .services h4 {
    width: 150px;
  }

  .gate-container {
    width: 50%;
    margin: 4rem;
  }

  .services {
    gap: 4rem;
  }

  .hero .services li {
    font-size: 1.6rem;
  }

  .logo {
    margin-left: -15px
  }

  .gate-text h2 {
    font-size: 2.5rem;
  }

  .gate-text {
    width: 90%;
  }
}

/* Ultra wide */
@media (min-width: 1440px) {
  .hero h1 {
    font-size: 6rem;
  }

  .hero p {
    font-size: 2em;
    margin: 0 auto 2rem;
    min-width: 60vw;
  }

  .hero .services h4 {
    width: 170px;
  }

  .logo {
    margin: 0;
  }

  .gate-container {
    display: flex;
    justify-content: space-evenly;
    margin: 8rem;
  }

  .contact {
    justify-self: unset;
  }

  .logo {
    margin-left: -23px;
  }
}